{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Network Service Instances<br><small class="text-muted">(TMF638 ServiceInventory)</small></h2>
    <div class="table-responsive">
        <table id="service_instances_table" class="table table-striped  table-hover table-sm">
            <thead class="cf">
            <tr>
                <th scope="col" class="header">#</th>
                <th scope="col" class="header">NS Instance name</th>
                <th scope="col" class="header">NS Model</th>
                <th scope="col" class="header">Customer</th>
                <th scope="col" class="header">NS instance id</th>
                <th scope="col" class="header">Order <br> Delete <br> Instance</th>
            </tr>
            </thead>
            <tbody>
            {% for service_instance in services_instances %}
            <tr>
                <td>
                    <class="service_instance" type="text" id="{{loop.index}}" name="{{loop.index}}"
                    value="{{loop.index}}">{{loop.index}}
                </td>
                <td>
                    <class="service_instance" type="text" id="service_instance_name_{{loop.index}}"
                    name="service_instance_name_{{loop.index}}"
                    value="{{service_instance['name']}}">{{service_instance['name']}}
                </td>
                <td>
                    <class="service_instance" type="text" id="service_instance_specification_{{loop.index}}" name="service_instance_specification_{{loop.index}}"
                    value="{{service_instance['serviceSpecification']['name']}}">{{service_instance['serviceSpecification']['name']}}
                </td>
                <td>
                    <class="service_instance" type="text" id="customer_{{loop.index}}" name="customer_{{loop.index}}"
                    value="{{service_instance['relatedParty']['id']}}">{{service_instance['relatedParty']['id']}}
                </td>
                <td>
                    <class="service_instance" type="text" id="service_instance_id_{{loop.index}}" name="service_instance_id_{{loop.index}}"
                    value="{{service_instance['id']}}">{{service_instance['id']}}
                </td>
                <td>
                  <a href="../service_instance_nbi_delete?service_instance_id={{service_instance['id']}}&service_id={{service_instance['serviceSpecification']['id']}}&customer={{service_instance['relatedParty']['id']}}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            {% endfor %}            
            </tbody>
        </table>
    <!-- Modal -->
      <div class="modal fade" id="confirm-dialog" role="dialog" aria-labelledby="myModalLabel" tabindex="-1">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;
                </span>
              </button>
              <h2 class="modal-title h4" id="myModalLabel">Are you sure?</h2>
            </div>
            <div class="modal-body">
              <p>If you delete this entry, all information will be permanently lost. Are you sure?
              </p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel
              </button>
              <button type="button" class="btn btn-success" data-dismiss="modal">OK
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- fin modal -->
      <!-- Nav tabs A-->
      <ul class="nav nav-tabs">
        <li class="nav-item">
          <a class="nav-link active" href="#help" data-toggle="tab">Help</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#faq" data-toggle="tab">FAQ</a>
        </li>
      </ul>
      <div class="tab-content">
        <div class="tab-pane active" id="help">
          <p>From this view, you can delete entry.
            <br/>You can reorder column by clicking on them.
          </p>
        </div>
        <div class="tab-pane" id="faq">
          <ul>
            <li>
            <a href="#">I can't delete an entry</a>
            </li>
            <li>
            <a href="#">I've got an error 500 when i try to edit an entry</a>
            </li>
            <li>
            <a href="#">Another question</a>
            </li>
          </ul>
        </div>
      </div>
      <!-- fin nav tabs A -->
    </div>
</main>

{% endblock %}
